Permalink
Browse files

rake metadata

  • Loading branch information...
caryp
caryp committed Jun 11, 2010
1 parent 54837a5 commit 5cc9a688ea85cadd5adb4af4958b8cd08b7e8eac
Showing with 142 additions and 126 deletions.
  1. +62 −54 cookbooks/mongodb/metadata.json
  2. +80 −72 cookbooks/phpmyadmin/metadata.json
@@ -1,57 +1,65 @@
{
- "license": "Apache 2.0",
- "maintainer_email": "opensource@rightscale.com",
- "conflicting": {
- },
- "recipes": {
- "mongodb::default": "installs MongoDB"
- },
- "providing": {
- },
- "description": "Installs/Configures mongodb",
- "replacing": {
- },
- "platforms": {
- },
- "version": "0.1.0",
- "groupings": {
- },
- "attributes": {
- "mongodb": {
- "required": "optional",
- "calculated": false,
- "choice": [
-
- ],
- "type": "hash",
- "recipes": [
-
- ],
- "display_name": "MongoDB"
- },
- "mongodb/release": {
- "required": "optional",
- "calculated": false,
- "choice": [
- "stable",
- "unstable",
- "snapshot"
- ],
- "type": "string",
- "recipes": [
- "mongodb::default"
- ],
- "description": "By default this recipe will install the default Ubuntu package. To override: Set this attribute to use newer sources direct from mongodb. Valid values are 'stable', 'unstable', or 'snapshot').",
- "display_name": "MongoDB new releases"
- }
- },
- "long_description": "= DESCRIPTION:\n\n= REQUIREMENTS:\n\n= ATTRIBUTES: \n\n= USAGE:\n\n",
- "recommendations": {
- },
- "dependencies": {
+ "recipes": {
+ "mongodb::default": "installs MongoDB"
+ },
+ "groupings": {
+
+ },
+ "long_description": "= DESCRIPTION:\n\n= REQUIREMENTS:\n\n= ATTRIBUTES: \n\n= USAGE:\n\n",
+ "recommendations": {
+
+ },
+ "dependencies": {
+
+ },
+ "maintainer": "RightScale opensource",
+ "suggestions": {
+
+ },
+ "description": "Installs\/Configures mongodb",
+ "maintainer_email": "opensource@rightscale.com",
+ "name": "mongodb",
+ "conflicting": {
+
+ },
+ "providing": {
+
+ },
+ "platforms": {
+
+ },
+ "version": "0.1.0",
+ "attributes": {
+ "mongodb": {
+ "calculated": false,
+ "type": "hash",
+ "choice": [
+
+ ],
+ "display_name": "MongoDB",
+ "recipes": [
+
+ ],
+ "required": "optional"
},
- "name": "mongodb",
- "maintainer": "RightScale opensource",
- "suggestions": {
+ "mongodb\/release": {
+ "calculated": false,
+ "type": "string",
+ "choice": [
+ "stable",
+ "unstable",
+ "snapshot"
+ ],
+ "description": "By default this recipe will install the default Ubuntu package. To override: Set this attribute to use newer sources direct from mongodb. Valid values are 'stable', 'unstable', or 'snapshot').",
+ "display_name": "MongoDB new releases",
+ "required": "optional",
+ "recipes": [
+ "mongodb::default"
+ ]
}
- }
+ },
+ "replacing": {
+
+ },
+ "license": "Copyright (c) 2010 RightScale, Inc.\n\nPermission is hereby granted, free of charge, to any person obtaining\na copy of this software and associated documentation files (the\n'Software'), to deal in the Software without restriction, including\nwithout limitation the rights to use, copy, modify, merge, publish,\ndistribute, sublicense, and\/or sell copies of the Software, and to\npermit persons to whom the Software is furnished to do so, subject to\nthe following conditions:\n\nThe above copyright notice and this permission notice shall be\nincluded in all copies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND,\nEXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF\nMERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.\nIN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY\nCLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,\nTORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE\nSOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n"
+}
@@ -1,81 +1,89 @@
{
- "version": "0.1.0",
- "providing": {
- },
- "attributes": {
- "phpmyadmin/mysql_host": {
- "required": "required",
- "calculated": false,
- "choice": [
+ "recipes": {
+ "phpmyadmin::default": "Installs phpmyadmin"
+ },
+ "groupings": {
- ],
- "type": "string",
- "recipes": [
- "phpmyadmin::default"
- ],
- "display_name": "MySQL host name",
- "description": "The FQDN of the mysql server you would like to use and administrate"
- },
- "phpmyadmin": {
- "required": "optional",
- "calculated": false,
- "choice": [
+ },
+ "long_description": "= DESCRIPTION:\n\n= REQUIREMENTS:\n\n= ATTRIBUTES: \n\n= USAGE:\n\n",
+ "recommendations": {
- ],
- "type": "hash",
- "recipes": [
+ },
+ "dependencies": {
- ],
- "display_name": "phpmyadmin"
- },
- "db/admin/password": {
- "required": "required",
- "calculated": false,
- "choice": [
+ },
+ "maintainer": "Example Com",
+ "suggestions": {
- ],
- "type": "string",
- "recipes": [
- "phpmyadmin::default"
- ],
- "display_name": "Database Admin Password",
- "description": "The password of the database user that has 'admin' privileges."
- },
- "db/admin/user": {
- "required": "required",
- "calculated": false,
- "choice": [
+ },
+ "description": "Installs\/Configures phpmyadmin",
+ "maintainer_email": "ops@example.com",
+ "name": "phpmyadmin",
+ "conflicting": {
- ],
- "type": "string",
- "recipes": [
- "phpmyadmin::default"
- ],
- "display_name": "Database Admin Username",
- "description": "The username of the database user that has 'admin' privileges."
- }
- },
- "replacing": {
- },
- "dependencies": {
- },
- "groupings": {
- },
- "long_description": "= DESCRIPTION:\n\n= REQUIREMENTS:\n\n= ATTRIBUTES: \n\n= USAGE:\n\n",
- "recommendations": {
- },
- "license": "Apache 2.0",
- "maintainer": "Example Com",
- "suggestions": {
- },
- "name": "phpmyadmin",
- "maintainer_email": "ops@example.com",
- "recipes": {
- "phpmyadmin::default": "Installs phpmyadmin"
+ },
+ "providing": {
+
+ },
+ "platforms": {
+
+ },
+ "version": "0.1.0",
+ "attributes": {
+ "phpmyadmin": {
+ "calculated": false,
+ "type": "hash",
+ "choice": [
+
+ ],
+ "display_name": "phpmyadmin",
+ "recipes": [
+
+ ],
+ "required": "optional"
},
- "conflicting": {
+ "phpmyadmin\/mysql_host": {
+ "calculated": false,
+ "type": "string",
+ "choice": [
+
+ ],
+ "description": "The FQDN of the mysql server you would like to use and administrate",
+ "display_name": "MySQL host name",
+ "required": "required",
+ "recipes": [
+ "phpmyadmin::default"
+ ]
},
- "platforms": {
+ "db\/admin\/password": {
+ "calculated": false,
+ "type": "string",
+ "choice": [
+
+ ],
+ "description": "The password of the database user that has 'admin' privileges.",
+ "display_name": "Database Admin Password",
+ "required": "required",
+ "recipes": [
+ "phpmyadmin::default"
+ ]
},
- "description": "Installs/Configures phpmyadmin"
- }
+ "db\/admin\/user": {
+ "calculated": false,
+ "type": "string",
+ "choice": [
+
+ ],
+ "description": "The username of the database user that has 'admin' privileges.",
+ "display_name": "Database Admin Username",
+ "required": "required",
+ "recipes": [
+ "phpmyadmin::default"
+ ]
+ }
+ },
+ "replacing": {
+
+ },
+ "license": "Copyright (c) 2010 RightScale, Inc.\n\nPermission is hereby granted, free of charge, to any person obtaining\na copy of this software and associated documentation files (the\n'Software'), to deal in the Software without restriction, including\nwithout limitation the rights to use, copy, modify, merge, publish,\ndistribute, sublicense, and\/or sell copies of the Software, and to\npermit persons to whom the Software is furnished to do so, subject to\nthe following conditions:\n\nThe above copyright notice and this permission notice shall be\nincluded in all copies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND,\nEXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF\nMERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.\nIN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY\nCLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,\nTORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE\nSOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n"
+}

0 comments on commit 5cc9a68

Please sign in to comment.